#!/usr/bin/env python
# -*- coding: utf-8 -*-

from time import time as timestamp

date_started = timestamp()

import common

common._print("time", "common_library_included", {"time" : common.get_time(date_started)})

error = common.compile_file("/includes.py")

if not error:

    common._print("time", "minimum_libraries_done", {"time" : common.get_time(date_started)})

    if "MemWeb" not in globals():
        class MemWeb:pass

    date_precreate = timestamp()

    mem_web = MemWeb()

    common._print("time", "mem_web_created_in", {
        "own_time" : common.get_time(date_precreate), 
        "real_time" : common.get_time(date_started)
    })